Index: libs/spirit/test/operators_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/operators_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 operators_tests.cpp
--- libs/spirit/test/operators_tests.cpp	2 Feb 2005 12:10:25 -0000	1.8
+++ libs/spirit/test/operators_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -26,129 +26,129 @@
     parse_info<char const*> pi;
 
     pi = parse("Hello World", str_p("Hello ") >> "World");
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 11);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 11);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("Banana", str_p("Banana") | "Pineapple");
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 6);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 6);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("Pineapple", str_p("Banana") | "Pineapple");
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("a.2  ", alpha_p || ('.' >> digit_p));
-    assert(pi.hit);
-    assert(pi.length == 3);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 3);
 
     pi = parse("a  ", alpha_p || ('.' >> digit_p));
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse(".1  ", alpha_p || ('.' >> digit_p));
-    assert(pi.hit);
-    assert(pi.length == 2);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 2);
 
     pi = parse("1.a  ", alpha_p || ('.' >> digit_p));
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("abcdefghij", +xdigit_p & +alpha_p);
-    assert(pi.hit);
-    assert(pi.length == 6);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 6);
 
     pi = parse("abcdefghij", +alpha_p & +xdigit_p);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("abcdefghij", +digit_p & +alpha_p);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("abcdefghij", +alpha_p & +digit_p);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     // Test for bug reported by Yusaku Sugai here:
     // http://article.gmane.org/gmane.comp.parsers.spirit.general/8544
     pi = parse( "foo", (anychar_p & anychar_p), ch_p(' ') );
-    assert(pi.hit);
+    BOOST_TEST(pi.hit);
 
     pi = parse("F", xdigit_p - range_p('5','8'));
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("0", xdigit_p - range_p('5','8'));
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("4", xdigit_p - range_p('5','8'));
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("9", xdigit_p - range_p('5','8'));
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("5", xdigit_p - range_p('5','8'));
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("7", xdigit_p - range_p('5','8'));
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("x*/", anychar_p - "*/");
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("*/", anychar_p - "*/");
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("switcher  ", str_p("switcher") - "switch");
-    assert(pi.hit);
-    assert(pi.length == 8);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 8);
 
     pi = parse("Z", alpha_p ^ xdigit_p);
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("1", alpha_p ^ xdigit_p);
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("B", alpha_p ^ xdigit_p);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     pi = parse("B", !alpha_p);
-    assert(pi.hit);
-    assert(pi.length == 1);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 1);
 
     pi = parse("1", !alpha_p);
-    assert(pi.hit);
-    assert(pi.length == 0);
-    assert(*pi.stop == '1');
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 0);
+    BOOST_TEST(*pi.stop == '1');
 
     pi = parse("1234 5678 1234 5678", *(+digit_p >> *space_p));
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 19);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 19);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("abcdefghijklmnopqrstuvwxyz123", *alpha_p);
-    assert(pi.hit);
-    assert(pi.length == 26);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.length == 26);
 
     pi = parse("1234+5678*1234/5678", +digit_p % (ch_p('+') | '*' | '/'));
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 19);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 19);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("1234+", +digit_p % '+');
-    assert(pi.hit);
-    assert(!pi.full);
-    assert(pi.length == 4);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(!pi.full);
+    BOOST_TEST(pi.length == 4);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -160,7 +160,6 @@
 main()
 {
     operators_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/owi_mt_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/owi_mt_tests.cpp,v
retrieving revision 1.14
diff -b -d -u -r1.14 owi_mt_tests.cpp
--- libs/spirit/test/owi_mt_tests.cpp	30 Apr 2005 00:27:19 -0000	1.14
+++ libs/spirit/test/owi_mt_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -48,7 +48,7 @@
 #include <boost/thread/xtime.hpp>
 #include <vector>
 #include <algorithm>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using boost::spirit::impl::object_with_id;
 
@@ -184,9 +184,9 @@
 {
 
 
-    assert(test1.data().size()==test_size);
-    assert(test2.data().size()==test_size);
-    assert(test3.data().size()==test_size);
+    BOOST_TEST(test1.data().size()==test_size);
+    BOOST_TEST(test2.data().size()==test_size);
+    BOOST_TEST(test3.data().size()==test_size);
 }
 
 void local_ordering_and_uniqueness()
Index: libs/spirit/test/owi_st_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/owi_st_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 owi_st_tests.cpp
--- libs/spirit/test/owi_st_tests.cpp	9 Jul 2004 08:30:38 -0000	1.8
+++ libs/spirit/test/owi_st_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -10,7 +10,7 @@
 
 #undef BOOST_SPIRIT_THREADSAFE
 #include <boost/spirit/core/non_terminal/impl/object_with_id.ipp>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 
 using boost::spirit::impl::object_with_id;
@@ -36,51 +36,50 @@
     class1 *c1o3 = new class1;
 
     // test wether the objects have consecutive numbers
-    assert(c1o1->get_object_id()==1);
-    assert(c1o2->get_object_id()==2);
-    assert(c1o3->get_object_id()==3);
+    BOOST_TEST(c1o1->get_object_id()==1);
+    BOOST_TEST(c1o2->get_object_id()==2);
+    BOOST_TEST(c1o3->get_object_id()==3);
 
     // test wether number recycling works
     delete c1o3;
     c1o3 = new class1;
-    assert(c1o3->get_object_id()==3);
+    BOOST_TEST(c1o3->get_object_id()==3);
 
     delete c1o2;
     c1o2 = new class1;
-    assert(c1o2->get_object_id()==2);
+    BOOST_TEST(c1o2->get_object_id()==2);
 
     delete c1o2;
     delete c1o3;
     c1o2 = new class1;
     c1o3 = new class1;
-    assert(c1o3->get_object_id()==3);
-    assert(c1o2->get_object_id()==2);
+    BOOST_TEST(c1o3->get_object_id()==3);
+    BOOST_TEST(c1o2->get_object_id()==2);
 
     // test whether objects of different classes are numbered independently
     class2 *c2o1 = new class2;
     class2 *c2o2 = new class2;
     class2 *c2o3 = new class2;
-    assert(c2o1->get_object_id()==1);
-    assert(c2o2->get_object_id()==2);
-    assert(c2o3->get_object_id()==3);
+    BOOST_TEST(c2o1->get_object_id()==1);
+    BOOST_TEST(c2o2->get_object_id()==2);
+    BOOST_TEST(c2o3->get_object_id()==3);
 
     //
     delete c1o1;
     delete c2o2;
     c2o2 = new class2;
     c1o1 = new class1;
-    assert(c1o1->get_object_id()==1);
-    assert(c2o2->get_object_id()==2);
+    BOOST_TEST(c1o1->get_object_id()==1);
+    BOOST_TEST(c2o2->get_object_id()==2);
 
     // test wether the copy ctor doesn't copy the id
     delete c1o1;
     c1o1 = new class1(*c1o2);
-    assert(c1o1->get_object_id()==1);
+    BOOST_TEST(c1o1->get_object_id()==1);
 
     // test wether the assignment operator doesn't assign the id
     *c1o1 = *c1o2;
-    assert(c1o1->get_object_id()==1);
+    BOOST_TEST(c1o1->get_object_id()==1);
 
-    std::cout << "Test concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
Index: libs/spirit/test/parametric_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/parametric_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 parametric_tests.cpp
--- libs/spirit/test/parametric_tests.cpp	3 Aug 2004 03:45:18 -0000	1.10
+++ libs/spirit/test/parametric_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -8,7 +8,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <string>
 
 using namespace std;
Index: libs/spirit/test/parser_traits_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/parser_traits_tests.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 parser_traits_tests.cpp
--- libs/spirit/test/parser_traits_tests.cpp	9 Jul 2004 08:30:38 -0000	1.7
+++ libs/spirit/test/parser_traits_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -12,7 +12,7 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 #include <boost/spirit/core.hpp>
 #include <boost/spirit/actor/assign_actor.hpp>
@@ -253,20 +253,20 @@
             >::value));
 
 // parser object extraction functions
-    assert(1 == parse("aaaa", get_unary_subject(*ch_p('a'))).length);
+    BOOST_TEST(1 == parse("aaaa", get_unary_subject(*ch_p('a'))).length);
 
 char c = 'b';
 
-    assert(1 == parse("aaaa", get_action_subject(ch_p('a')[assign(c)])).length);
-    assert(c == 'b');
+    BOOST_TEST(1 == parse("aaaa", get_action_subject(ch_p('a')[assign(c)])).length);
+    BOOST_TEST(c == 'b');
 
-    assert(1 == parse("aaaa",
+    BOOST_TEST(1 == parse("aaaa",
         ch_p('a')[ get_semantic_action(ch_p('b')[assign(c)]) ]).length);
-    assert(c == 'a');
+    BOOST_TEST(c == 'a');
 
-    assert(1 == parse("abab",
+    BOOST_TEST(1 == parse("abab",
         get_binary_left_subject(ch_p('a') >> ch_p('b'))).length);
-    assert(1 == parse("baba",
+    BOOST_TEST(1 == parse("baba",
         get_binary_right_subject(ch_p('a') >> ch_p('b'))).length);
 }
 
@@ -281,7 +281,6 @@
     parser_traits_tests();
     parser_extraction_tests();
 
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/position_iterator_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/position_iterator_tests.cpp,v
retrieving revision 1.4
diff -b -d -u -r1.4 position_iterator_tests.cpp
--- libs/spirit/test/position_iterator_tests.cpp	9 Jul 2004 08:30:38 -0000	1.4
+++ libs/spirit/test/position_iterator_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 
-#include <assert.h>
+#include <boost/detail/lightweight_test.hpp>
 #include <iostream>
 #include <vector>
 #include <string>
@@ -82,8 +82,7 @@
     CheckColumnCounting();
     CheckLineExtraction();
 
-    cout << "Test completed successfully" << endl;
-    return 0;
+    return boost::report_errors();
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -99,39 +98,39 @@
     IterT iter2(iter);
     IterT iter3 = iter;
 
-    assert(iter != end);
-    assert(iter2 != end);
-    assert(iter3 != end);
-    assert(*iter == '0');
+    BOOST_TEST(iter != end);
+    BOOST_TEST(iter2 != end);
+    BOOST_TEST(iter3 != end);
+    BOOST_TEST(*iter == '0');
 
     ++iter;
     ++iter2;
     ++iter3;
-    assert(iter == iter2);
-    assert(iter == iter3);
-    assert(*iter == *iter2);
-    assert(*iter == *iter3);
-    assert(iter.get_position() == iter2.get_position());
-    assert(iter.get_position() == iter3.get_position());
-    assert(*iter == '1');
+    BOOST_TEST(iter == iter2);
+    BOOST_TEST(iter == iter3);
+    BOOST_TEST(*iter == *iter2);
+    BOOST_TEST(*iter == *iter3);
+    BOOST_TEST(iter.get_position() == iter2.get_position());
+    BOOST_TEST(iter.get_position() == iter3.get_position());
+    BOOST_TEST(*iter == '1');
 
-    assert(*iter++ == '1');
-    assert(*iter2++ == '1');
-    assert(*iter3++ == '1');
-    assert(*iter == *iter2);
-    assert(*iter == *iter3);
-    assert(iter.get_position() == iter2.get_position());
-    assert(iter.get_position() == iter3.get_position());
-    assert(*iter == '2');
+    BOOST_TEST(*iter++ == '1');
+    BOOST_TEST(*iter2++ == '1');
+    BOOST_TEST(*iter3++ == '1');
+    BOOST_TEST(*iter == *iter2);
+    BOOST_TEST(*iter == *iter3);
+    BOOST_TEST(iter.get_position() == iter2.get_position());
+    BOOST_TEST(iter.get_position() == iter3.get_position());
+    BOOST_TEST(*iter == '2');
 
     ++iter; ++iter; ++iter; ++iter; ++iter; ++iter; ++iter;
-    assert(*iter == '9');
+    BOOST_TEST(*iter == '9');
     ++iter;
-    assert(iter == end);
+    BOOST_TEST(iter == end);
 
     // Check that one after end is no more end
     ++iter;
-    assert(iter != end);
+    BOOST_TEST(iter != end);
 }
 
 template <typename IterT>
@@ -139,29 +138,29 @@
 {
     IterT end;
 
-    assert(*iter == '\n' || *iter == '\r');
-    assert(iter.get_position().line == 1);
+    BOOST_TEST(*iter == '\n' || *iter == '\r');
+    BOOST_TEST(iter.get_position().line == 1);
     ++iter; // 0
-    assert(iter.get_position().line == 2);
+    BOOST_TEST(iter.get_position().line == 2);
     ++iter; // 1
     ++iter; // 2
     ++iter; // 3
     ++iter; // newline
-    assert(*iter == '\n' || *iter == '\r');
+    BOOST_TEST(*iter == '\n' || *iter == '\r');
     ++iter; // 4
-    assert(iter.get_position().line == 3);
+    BOOST_TEST(iter.get_position().line == 3);
     ++iter; // 5
     ++iter; // 6
     ++iter; // 7
     ++iter; // newline
-    assert(*iter == '\n' || *iter == '\r');
+    BOOST_TEST(*iter == '\n' || *iter == '\r');
     ++iter; // 8
-    assert(iter.get_position().line == 4);
+    BOOST_TEST(iter.get_position().line == 4);
     ++iter; // 9
     ++iter; // newline
-    assert(*iter == '\n' || *iter == '\r');
+    BOOST_TEST(*iter == '\n' || *iter == '\r');
     ++iter; // end
-    assert(iter == end);
+    BOOST_TEST(iter == end);
 }
 
 template <typename IterT>
@@ -171,31 +170,31 @@
 
     // Don't call set_tabchars() here because
     //  default must be 3.
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 1);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 1);
     ++iter; // 0
-    assert(iter.get_position().column == 5);
+    BOOST_TEST(iter.get_position().column == 5);
     ++iter; // 1
-    assert(iter.get_position().column == 6);
+    BOOST_TEST(iter.get_position().column == 6);
     ++iter; // 2
-    assert(iter.get_position().column == 7);
+    BOOST_TEST(iter.get_position().column == 7);
     ++iter; // 3
-    assert(iter.get_position().column == 8);
+    BOOST_TEST(iter.get_position().column == 8);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 9);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 9);
     ++iter; // 4
-    assert(iter.get_position().column == 13);
+    BOOST_TEST(iter.get_position().column == 13);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 14);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 14);
     ++iter; // 5
-    assert(iter.get_position().column == 17);
+    BOOST_TEST(iter.get_position().column == 17);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 18);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 18);
     ++iter; // end
-    assert(iter == end);
+    BOOST_TEST(iter == end);
 }
 
 template <typename IterT>
@@ -210,34 +209,34 @@
     IterT iter2(iter);
     IterT iter3; iter3 = iter2;
 
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 1);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 1);
     ++iter; // 0
     ++iter2; ++iter3;
-    assert(iter.get_position().column == 4);
-    assert(iter2.get_position().column == 4);
-    assert(iter3.get_position().column == 4);
+    BOOST_TEST(iter.get_position().column == 4);
+    BOOST_TEST(iter2.get_position().column == 4);
+    BOOST_TEST(iter3.get_position().column == 4);
     ++iter; // 1
-    assert(iter.get_position().column == 5);
+    BOOST_TEST(iter.get_position().column == 5);
     ++iter; // 2
-    assert(iter.get_position().column == 6);
+    BOOST_TEST(iter.get_position().column == 6);
     ++iter; // 3
-    assert(iter.get_position().column == 7);
+    BOOST_TEST(iter.get_position().column == 7);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 8);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 8);
     ++iter; // 4
-    assert(iter.get_position().column == 10);
+    BOOST_TEST(iter.get_position().column == 10);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 11);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 11);
     ++iter; // 5
-    assert(iter.get_position().column == 13);
+    BOOST_TEST(iter.get_position().column == 13);
     ++iter; // tab
-    assert(*iter == '\t');
-    assert(iter.get_position().column == 14);
+    BOOST_TEST(*iter == '\t');
+    BOOST_TEST(iter.get_position().column == 14);
     ++iter; // end
-    assert(iter == end);
+    BOOST_TEST(iter == end);
 }
 
 const string line1 = "abcd";
@@ -247,7 +246,7 @@
 template <typename IterT>
 void AssertIterString(IterT begin, IterT end, string s)
 {
-    assert(string(begin, end) == s);
+    BOOST_TEST(string(begin, end) == s);
 }
 
 template <typename IterT>
@@ -257,15 +256,15 @@
 
     // At the start, we are on a newline, which is an empty
     //  string
-    assert(iter.get_currentline() == string());
-    assert(
+    BOOST_TEST(iter.get_currentline() == string());
+    BOOST_TEST(
         string(iter.get_currentline_begin(), iter.get_currentline_end())
         == string());
 
     ++iter; // a
     ++iter; // b
     ++iter; // c
-    assert(iter.get_currentline() == line1);
+    BOOST_TEST(iter.get_currentline() == line1);
     AssertIterString(
         iter.get_currentline_begin(),
         iter.get_currentline_end(),
@@ -279,8 +278,8 @@
     //  not interfere with get_currentline
     IterT iter2(iter);
     IterT iter3; iter3 = iter;
-    assert(iter2.get_currentline() == line2);
-    assert(iter3.get_currentline() == line2);
+    BOOST_TEST(iter2.get_currentline() == line2);
+    BOOST_TEST(iter3.get_currentline() == line2);
     AssertIterString(
         iter2.get_currentline_begin(),
         iter2.get_currentline_end(),
@@ -296,14 +295,14 @@
     ++iter; // newline
 
     // Check when the iterator is on a newline
-    assert(iter.get_currentline() == line2);
+    BOOST_TEST(iter.get_currentline() == line2);
     AssertIterString(
         iter.get_currentline_begin(),
         iter.get_currentline_end(),
         line2);
 
     ++iter;
-    assert(iter == end);
+    BOOST_TEST(iter == end);
 }
 
 
@@ -332,9 +331,9 @@
     iter_t iter2(iter);
     iter_t iter3; iter3 = iter;
 
-    assert(iter == iter_t());
-    assert(iter2 == iter_t());
-    assert(iter3 == iter_t());
+    BOOST_TEST(iter == iter_t());
+    BOOST_TEST(iter2 == iter_t());
+    BOOST_TEST(iter3 == iter_t());
 }
 
 template <typename IterC, typename Iter>
@@ -348,31 +347,31 @@
     typedef IterC iterc_t;
     typedef Iter iter_t;
 
-    assert(iterc_t(a,a+20,name).get_position() == posc);
-    assert(iterc_t(a,a+20,name,1).get_position() == posc);
-    assert(iterc_t(a,a+20,name,1,1).get_position() == posc);
-    assert(iterc_t(a,a+20,posc).get_position() == posc);
-    assert(iter_t(a,a+20,name).get_position() == pos);
-    assert(iter_t(a,a+20,name,1).get_position() == pos);
-    assert(iter_t(a,a+20,pos).get_position() == pos);
+    BOOST_TEST(iterc_t(a,a+20,name).get_position() == posc);
+    BOOST_TEST(iterc_t(a,a+20,name,1).get_position() == posc);
+    BOOST_TEST(iterc_t(a,a+20,name,1,1).get_position() == posc);
+    BOOST_TEST(iterc_t(a,a+20,posc).get_position() == posc);
+    BOOST_TEST(iter_t(a,a+20,name).get_position() == pos);
+    BOOST_TEST(iter_t(a,a+20,name,1).get_position() == pos);
+    BOOST_TEST(iter_t(a,a+20,pos).get_position() == pos);
 
     // Check copy constructor and assignment. Notice that we want
     //  an implicit copy constructor.
     iterc_t ic1(a,a+20,name);
     iterc_t ic2 = ic1;
     iterc_t ic3; ic3 = ic1;
-    assert(ic1 == ic2);
-    assert(ic1 == ic3);
-    assert(ic1.get_position() == ic2.get_position());
-    assert(ic1.get_position() == ic3.get_position());
+    BOOST_TEST(ic1 == ic2);
+    BOOST_TEST(ic1 == ic3);
+    BOOST_TEST(ic1.get_position() == ic2.get_position());
+    BOOST_TEST(ic1.get_position() == ic3.get_position());
 
     iter_t i1(a,a+20,name);
     iter_t i2 = i1;
     iter_t i3; i3 = i1;
-    assert(i1 == i2);
-    assert(i1 == i3);
-    assert(i1.get_position() == i2.get_position());
-    assert(i1.get_position() == i3.get_position());
+    BOOST_TEST(i1 == i2);
+    BOOST_TEST(i1 == i3);
+    BOOST_TEST(i1.get_position() == i2.get_position());
+    BOOST_TEST(i1.get_position() == i3.get_position());
 
     // Check construction with an empty sequence
     CheckEmptySequence<iter_t>();
Index: libs/spirit/test/repeat_ast_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/repeat_ast_tests.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 repeat_ast_tests.cpp
--- libs/spirit/test/repeat_ast_tests.cpp	10 Jul 2004 08:37:43 -0000	1.1
+++ libs/spirit/test/repeat_ast_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -10,7 +10,7 @@
 // This test verifies, that reapeat_p et.al. work correctly while using AST's
 
 # include <map>
-# include <cassert>
+# include <boost/detail/lightweight_test.hpp>
 # include <iostream>
 # include <string>
 
@@ -76,7 +76,7 @@
 // case 1
     grammar_fail g_fail;
     tree_parse_info<> info1 = ast_parse(test.c_str(), g_fail, space_p);
-    assert(info1.full);
+    BOOST_TEST(info1.full);
 
     //std::cout << "...Case 1: Using repeat_p\n";
     //tree_to_xml(std::cerr, info1.trees, test, rule_names);
@@ -84,11 +84,12 @@
 // case 2
     grammar_success g_success;
     tree_parse_info<> info2 = ast_parse(test.c_str(), g_success, space_p);
-    assert(info2.full);
+    BOOST_TEST(info2.full);
 
     //std::cout << "...Case 2: No repeat_p\n";
     //tree_to_xml(std::cerr, info2.trees, test, rule_names);
     // could be used for test case instead of printing the xml stuff:
-    assert(info2.trees.begin()->children.size() == 2);
-    assert(info1.trees.begin()->children.size() == 2);
+    BOOST_TEST(info2.trees.begin()->children.size() == 2);
+    BOOST_TEST(info1.trees.begin()->children.size() == 2);
+    return boost::report_errors();
 }
Index: libs/spirit/test/rule_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/rule_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 rule_tests.cpp
--- libs/spirit/test/rule_tests.cpp	9 Jul 2004 08:30:38 -0000	1.10
+++ libs/spirit/test/rule_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -46,17 +46,17 @@
 
     start = *(a | b | c);
     pi = parse("abcabcacb", d);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     start   = (a | b) >> (start | b);
     pi = parse("aaaabababaaabbb", d);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 }
 
 void
@@ -114,13 +114,13 @@
         typedef scanner_list<scanner<>, phrase_scanner_t> scanners;
 
         rule<scanners>  r = +anychar_p;
-        assert(parse("abcdefghijk", r).full);
-        assert(parse("a b c d e f g h i j k", r, space_p).full);
+        BOOST_TEST(parse("abcdefghijk", r).full);
+        BOOST_TEST(parse("a b c d e f g h i j k", r, space_p).full);
     }
 
     { // 3 scanners
         my_grammar g;
-        assert(parse("abcdef aBc d e f aBc d E f", g, space_p).full);
+        BOOST_TEST(parse("abcdef aBc d e f aBc d E f", g, space_p).full);
     }
 }
 
@@ -142,22 +142,22 @@
     BOOST_SPIRIT_DEBUG_RULE(start);
 
     pi = parse("abcabcacb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     start   = (a | b) >> (start | b);
     pi = parse("aaaabababaaabbb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("aaaabababaaabba", start);
-    assert(pi.hit);
-    assert(!pi.full);
-    assert(pi.length == 14);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(!pi.full);
+    BOOST_TEST(pi.length == 14);
 }
 
 void
@@ -178,22 +178,22 @@
     BOOST_SPIRIT_DEBUG_RULE(start);
 
     pi = parse("abcabcacb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     start   = (a | b) >> (start | b);
     pi = parse("aaaabababaaabbb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("aaaabababaaabba", start);
-    assert(pi.hit);
-    assert(!pi.full);
-    assert(pi.length == 14);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(!pi.full);
+    BOOST_TEST(pi.length == 14);
 }
 
 void
@@ -220,10 +220,10 @@
     BOOST_SPIRIT_DEBUG_RULE(start);
 
     pi = parse("abcabcacb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 9);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 9);
+    BOOST_TEST(*pi.stop == 0);
 
     // The FF is the dynamic equivalent of start = (a | b) >> (start | b);
     start = b;
@@ -231,15 +231,15 @@
     start = start.copy() >> (start | b);
 
     pi = parse("aaaabababaaabbb", start);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(pi.length == 15);
-    assert(*pi.stop == 0);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(pi.length == 15);
+    BOOST_TEST(*pi.stop == 0);
 
     pi = parse("aaaabababaaabba", start);
-    assert(pi.hit);
-    assert(!pi.full);
-    assert(pi.length == 14);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(!pi.full);
+    BOOST_TEST(pi.length == 14);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -257,7 +257,6 @@
     stored_rule_basic_tests();
     stored_rule_dynamic_tests();
 
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/scanner_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/scanner_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 scanner_tests.cpp
--- libs/spirit/test/scanner_tests.cpp	3 Aug 2004 03:45:18 -0000	1.10
+++ libs/spirit/test/scanner_tests.cpp	18 Feb 2006 22:55:16 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <list>
 
 using namespace std;
@@ -94,7 +94,7 @@
     while (!pp3.at_end())
     {
         cout << *pp3;
-        assert(!test_islower(*pp3));
+        BOOST_TEST(!test_islower(*pp3));
         ++pp3;
     }
     cout << '\n';
@@ -110,7 +110,7 @@
     while (!pp4.at_end())
     {
         cout << *pp4;
-        assert(!test_isspace(*pp4));
+        BOOST_TEST(!test_isspace(*pp4));
         ++pp4;
     }
     cout << '\n';
@@ -119,12 +119,12 @@
     cout << "sizeof(scanner<>) == " << sizeof(scanner<>) << '\n';
 
     parse_info<> pi = parse("12abcdefg12345ABCDEFG789", +digit_p, alpha_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("abcdefg12345ABCDEFG789", +digit_p, alpha_p);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -136,7 +136,6 @@
 main()
 {
     scanner_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
